{#
/**
 * @file
 * Theme override for a branding block.
 *
 * Each branding element variable (logo, name, slogan) is only available if
 * enabled in the block configuration.
 *
 * Available variables:
 * - site_logo: Logo for site as defined in Appearance or theme settings.
 * - site_name: Name for site as defined in Site information settings.
 * - site_slogan: Slogan for site as defined in Site information settings.
 */
#}
{%
  set classes = [
    'navbar-header',
  ]
%}
<div{{ attributes.addClass(classes) }}>
  {{ title_prefix }}
  {{ title_suffix }}
  <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse" aria-expanded="false">
    <span class="sr-only">Toggle navigation</span>
    <span class="icon-bar"></span>
    <span class="icon-bar"></span>
    <span class="icon-bar"></span>
  </button>
  {% if site_logo %}
    <a href="{{ path('<front>') }}" title="{{ 'Home'|t }}" rel="home" class="navbar-brand navbar-guts">
      <img src="{{ site_logo }}" alt="Logo for {{ site_name }}" height="100" width="224" />
    </a>
  {% elseif site_name %}
    <a href="{{ path('<front>') }}" title="{{ 'Home'|t }}" rel="home" class="navbar-brand navbar-guts">{{ site_name }}</a>
  {% endif %}
  <span class="navbar-brand navbar-nsf">
    <img alt="National Science Foundation logo" src="{{ base_path ~ directory }}/images/nsf1.svg" height="80" width="80" />
  </span>
  <span class="navbar-brand navbar-twig">
    {{ site_name }}
  </span>
</div>
